[comment]: # (This README.md is autogenerated from templates/README.md with the
              script templates/generate.py)

# windowlayouts

Utility for automatically storing & restoring window layouts for specific screen
configurations on the X Window System.

## Installation

Run `pip install truhanen.windowlayouts` to install the script `windowlayouts`
to be used from the command line.

### Requirements

- Python 3.7+ & pip
- wmctrl command line tool

### Install from source

Clone the repository & run `pip install .` in the project root directory.

## Usage

```
usage: windowlayouts [-h] [--verbose] {store,restore,switch} ...

positional arguments:
  {store,restore,switch}
    store               Store the current window layout for the current screen
                        layout. Replace a previously stored window layout if
                        such a window layout exists for the current screen
                        layout.
    restore             Restore a window layout if one with the current screen
                        layout has previously been stored.
    switch              Run store, then switch to a screen layout configured
                        in ~/.config/windowlayouts/config.ini, and
                        then run restore. Screen layout values in the
                        configuration file must be valid input for xrandr that
                        apply a specific screen layout. Each "output" of a
                        screen layout must be defined on a separate line in
                        the configuration value. See examples/config.ini for
                        example.

optional arguments:
  -h, --help            show this help message and exit
  --verbose, -v         Increase verbosity.
```
